class  CPersistFile : IPersistFile
{
    protected:
       
		IUnknown *m_pUnkOuter ;

    public:
        CPersistFile (IUnknown *) ;
        ~CPersistFile(void) ;

        STDMETHODIMP QueryInterface(REFIID, LPVOID *) ;
        STDMETHODIMP_(ULONG) AddRef(void) ;
        STDMETHODIMP_(ULONG) Release(void) ;

        STDMETHODIMP GetClassID(LPCLSID);

        STDMETHODIMP IsDirty(void) ;
        STDMETHODIMP Load(LPCOLESTR, DWORD) ;
        STDMETHODIMP Save(LPCOLESTR, BOOL) ;
        STDMETHODIMP SaveCompleted(LPCOLESTR) ;
        STDMETHODIMP GetCurFile(LPOLESTR FAR *) ;
};
